package com.example.dogobjectsfromtextfile

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Button
import android.widget.TextView
import android.widget.Toast
import java.lang.Exception

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val btnReadLine = findViewById<Button>(R.id.btnReadLine)
        val tvNextLine = findViewById<TextView>(R.id.tvNextLine)

        val input_stream = baseContext.resources.openRawResource(R.raw.dog_data)
        // create a BufferedeReader from the input stream in order to read line-by-line
        val buffer = input_stream.bufferedReader()

        btnReadLine.setOnClickListener{
            try {
                var next_line = buffer.readLine()

                if(next_line != null){
                    tvNextLine.text = next_line
                }else{
                    tvNextLine.text = "no more lines"
                    btnReadLine.isEnabled = false  //disable button so user stops trying to read lines
                }
            }catch(e:Exception){
                Toast.makeText(this,"File reading problem",Toast.LENGTH_SHORT).show()
            }//end try-catch
        } //end setOnClickListener

    } //end onCreate
} //end MainActivity class
